WordPress.org

Make WordPress Core

Opened 4 weeks ago

Closed 4 weeks ago

#54052 closed task (blessed) (fixed)

Block editor package updates for 5.8.1

Reported by: desrosj Owned by: desrosj
Milestone: 5.8.1 Priority: normal
Severity: normal Version:
Component: Editor Keywords: has-patch fixed-major
Focuses: Cc:

Description

Several block editor packages will need to be updated for 5.8.1.

Change History (7)

#1 @desrosj
4 weeks ago

  • Keywords has-patch removed

PR on the Gutenberg repository: https://github.com/WordPress/gutenberg/pull/34393.

This ticket was mentioned in PR #1649 on WordPress/wordpress-develop by circlecube.


4 weeks ago

  • Keywords has-patch added

#3 @desrosj
4 weeks ago

  • Resolution set to fixed
  • Status changed from assigned to closed

In 51719:

Editor: Update block editor packages for WordPress 5.8.1.

The following packages were updated:

  • @wordpress/a11y to 3.1.2
  • @wordpress/annotations to 2.1.6
  • @wordpress/api-fetch to 5.1.2
  • @wordpress/autop to 3.1.2
  • @wordpress/babel-preset-default to 6.2.1
  • @wordpress/blob to 3.1.2
  • @wordpress/block-directory to 2.1.21
  • @wordpress/block-editor to 6.1.14
  • @wordpress/block-library to 3.2.19
  • @wordpress/block-serialization-default-parser to 4.1.2
  • @wordpress/blocks to 9.1.8
  • @wordpress/components to 14.1.11
  • @wordpress/compose to 4.1.6
  • @wordpress/core-data to 3.1.12
  • @wordpress/customize-widgets to 1.0.20
  • @wordpress/data-controls to 2.1.6
  • @wordpress/data to 5.1.6
  • @wordpress/date to 4.1.2
  • @wordpress/deprecated to 3.1.2
  • @wordpress/dom-ready to 3.1.2
  • @wordpress/dom to 3.1.5
  • @wordpress/e2e-test-utils to 5.3.1
  • @wordpress/edit-post to 4.1.21
  • @wordpress/edit-widgets to 2.1.21
  • @wordpress/editor to 10.1.17
  • @wordpress/element to 3.1.2
  • @wordpress/escape-html to 2.1.2
  • @wordpress/format-library to 2.1.14
  • @wordpress/html-entities to 3.1.2
  • @wordpress/i18n to 4.1.2
  • @wordpress/icons to 4.0.3
  • @wordpress/interface to 3.1.12
  • @wordpress/keyboard-shortcuts to 2.1.7
  • @wordpress/keycodes to 3.1.2
  • @wordpress/list-reusable-blocks to 2.1.11
  • @wordpress/media-utils to 2.1.2
  • @wordpress/notices to 3.1.6
  • @wordpress/nux to 4.1.11
  • @wordpress/plugins to 3.1.6
  • @wordpress/primitives to 2.1.2
  • @wordpress/priority-queue to 2.1.2
  • @wordpress/react-i18n to 2.1.2
  • @wordpress/redux-routine to 4.1.2
  • @wordpress/reusable-blocks to 2.1.17
  • @wordpress/rich-text to 4.1.6
  • @wordpress/scripts to 16.1.5
  • @wordpress/server-side-render to 2.1.12
  • @wordpress/shortcode to 3.1.2
  • @wordpress/url to 3.1.2
  • @wordpress/viewport to 3.1.6
  • @wordpress/warning to 2.1.2
  • @wordpress/widgets to 1.1.19
  • @wordpress/wordcount to 3.1.2

Props oandregal, juanmaguitar, gziolo, jblz, talldanwp, ribaricplusplus, peterwisoncc, youknowriad, paaljoachim, kreppar, ellatrix, aristath, walbo, ajlende, kevin940726, mamaduka, ntsekouras, toro_unit, mkaz, joen, noisysocks, zieladam, andraganescu, antonvlasenko, terraling, dariak, vladytimy, circlecube, desrosj.
Fixes #54052, #52818.

#4 @desrosj
4 weeks ago

  • Resolution fixed deleted
  • Status changed from closed to reopened

Reopening to backport to 5.8.

#5 @desrosj
4 weeks ago

  • Keywords fixed-major added

#7 @desrosj
4 weeks ago

  • Resolution set to fixed
  • Status changed from reopened to closed

In 51721:

Editor: Update block editor packages for WordPress 5.8.1.

The following packages were updated:

  • @wordpress/a11y to 3.1.2
  • @wordpress/annotations to 2.1.6
  • @wordpress/api-fetch to 5.1.2
  • @wordpress/autop to 3.1.2
  • @wordpress/babel-preset-default to 6.2.1
  • @wordpress/blob to 3.1.2
  • @wordpress/block-directory to 2.1.21
  • @wordpress/block-editor to 6.1.14
  • @wordpress/block-library to 3.2.19
  • @wordpress/block-serialization-default-parser to 4.1.2
  • @wordpress/blocks to 9.1.8
  • @wordpress/components to 14.1.11
  • @wordpress/compose to 4.1.6
  • @wordpress/core-data to 3.1.12
  • @wordpress/customize-widgets to 1.0.20
  • @wordpress/data-controls to 2.1.6
  • @wordpress/data to 5.1.6
  • @wordpress/date to 4.1.2
  • @wordpress/deprecated to 3.1.2
  • @wordpress/dom-ready to 3.1.2
  • @wordpress/dom to 3.1.5
  • @wordpress/e2e-test-utils to 5.3.1
  • @wordpress/edit-post to 4.1.21
  • @wordpress/edit-widgets to 2.1.21
  • @wordpress/editor to 10.1.17
  • @wordpress/element to 3.1.2
  • @wordpress/escape-html to 2.1.2
  • @wordpress/format-library to 2.1.14
  • @wordpress/html-entities to 3.1.2
  • @wordpress/i18n to 4.1.2
  • @wordpress/icons to 4.0.3
  • @wordpress/interface to 3.1.12
  • @wordpress/keyboard-shortcuts to 2.1.7
  • @wordpress/keycodes to 3.1.2
  • @wordpress/list-reusable-blocks to 2.1.11
  • @wordpress/media-utils to 2.1.2
  • @wordpress/notices to 3.1.6
  • @wordpress/nux to 4.1.11
  • @wordpress/plugins to 3.1.6
  • @wordpress/primitives to 2.1.2
  • @wordpress/priority-queue to 2.1.2
  • @wordpress/react-i18n to 2.1.2
  • @wordpress/redux-routine to 4.1.2
  • @wordpress/reusable-blocks to 2.1.17
  • @wordpress/rich-text to 4.1.6
  • @wordpress/scripts to 16.1.5
  • @wordpress/server-side-render to 2.1.12
  • @wordpress/shortcode to 3.1.2
  • @wordpress/url to 3.1.2
  • @wordpress/viewport to 3.1.6
  • @wordpress/warning to 2.1.2
  • @wordpress/widgets to 1.1.19
  • @wordpress/wordcount to 3.1.2

Props oandregal, juanmaguitar, gziolo, jblz, talldanwp, ribaricplusplus, peterwisoncc, youknowriad, paaljoachim, kreppar, ellatrix, aristath, walbo, ajlende, kevin940726, mamaduka, ntsekouras, toro_unit, mkaz, joen, noisysocks, zieladam, andraganescu, antonvlasenko, terraling, dariak, vladytimy, circlecube, desrosj.
Merges [51719] to the 5.8 branch.
Fixes #54052, #52818.

Note: See TracTickets for help on using tickets.